import Vue from 'vue'
import App from './App.vue'
import router from './router'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import './assets/styles/index.scss'
import { initDynamicRoutes } from './utils/createRoutes'

var axios = require('axios')
// axios.defaults.baseURL = 'http://47.101.207.123:8080/gateway-server'    // 互联网
axios.defaults.baseURL = 'https://stp-smi.gtj.sh.cegn.cn/gateway-server'    // 政务网
// axios.defaults.baseURL = 'https://geodatasvr.cn.smism.com//gateway-server'    // 政务网
// axios.defaults.baseURL = 'http://192.168.137.1:9252'
axios.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded'
axios.interceptors.response.use(
  response => {
    return response.data
  },
  error => {
    return Promise.reject(error)
  }
)

Vue.config.productionTip = false
Vue.use(ElementUI, {size: 'mini'})

initDynamicRoutes()

new Vue({
  render: h => h(App),
  router,
}).$mount('#app')
